## Get Vectors By Identifier `client.vectorize.indexes.getByIds(stringindexName, IndexGetByIDsParamsparams, RequestOptionsoptions?): IndexGetByIDsResponse | null` **post** `/accounts/{account_id}/vectorize/v2/indexes/{index_name}/get_by_ids` Get a set of vectors from an index by their vector identifiers. ### Parameters - `indexName: string` - `params: IndexGetByIDsParams` - `account_id: string` Path param: Identifier - `ids?: Array` Body param: A list of vector identifiers to retrieve from the index indicated by the path. ### Returns - `IndexGetByIDsResponse = unknown` Array of vectors with matching ids. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.vectorize.indexes.getByIds('example-index', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "some-vector-id", "metadata": { "another-key": "another-value", "customer-id": 442 }, "values": [ 0.812, 0.621, 0.261 ] }, { "id": "other-vector-id", "metadata": { "another-key": "with-a-value", "customer-id": 2151 }, "namespace": "namespaced", "values": [ 0.961, 0.751, 0.661 ] } ], "success": true } ```